Skip to content
WP EngineDocumentation

List report schedules

GET
/site_reports/schedules
curl --request GET \
--url 'https://api.wpengineapi.com/v1/site_reports/schedules?site_id=eeda3227-9a39-46ae-9e14-20958bb4e6c9' \
--header 'Authorization: Basic <credentials>'

Returns all active report schedules for a site, so you can see when reports are generated automatically.

Reports run monthly, weekly or every two weeks, based on the schedule’s frequency:

  • Monthly: set unit to MONTHLY and value to the day of the month (1-31). For example, 15 runs the report on the 15th of every month.
  • Weekly or every two weeks: set unit to DAYS and value to 7 or 14. The day of the week is determined by next_scheduled_date. For example, if it’s a Tuesday and value is 7, the report runs every Tuesday.

Limitations & Warnings

  • If a monthly schedule is set to the 29th, 30th or 31st and that date doesn’t exist in a given month, the report runs on the last day of that month.
site_id
required
string format: uuid

Filter schedules by site ID

Example
eeda3227-9a39-46ae-9e14-20958bb4e6c9

Returns a SiteReportScheduleList object containing the report schedules.

Media typeapplication/json
object
schedules

List of configured report schedules

Array<object>
object
title

Title of the scheduled report

string
next_scheduled_date

Next date when the report will be automatically generated

string
frequency

Report generation frequency configuration

object
value

Frequency value. For DAYS, value is 7 or 14. For MONTHLY, value is the day of the month (1-31).

integer
unit

Frequency unit. DAYS indicates a Weekly or Bi-Weekly schedule. MONTHLY indicates a monthly schedule.

string
Allowed values: DAYS MONTHLY
recipients

People who will receive the scheduled reports

Array<object>
object
name

Name of the recipient

string
email

Email address of the recipient

string format: email
sections

Report sections included in the schedule

Array<object>
object
name

Section identifier

string
uuid

Unique identifier for the schedule

string format: uuid
template_uuid

UUID of the report template used for this schedule

string format: uuid
branding

Branding configuration applied to the report

object
uuid

Unique identifier for the branding configuration

string format: uuid
company_name

Company name displayed on the report

string
brand_color

Hex value of the color used on the report coversheet

string
logo_url

URL of the company logo image

string format: uri
image_preview_url

URL of the template preview image

string format: uri
Example
{
"schedules": [
{
"title": "Weekly Site Report",
"next_scheduled_date": "2026-06-18T00:00:00Z",
"frequency": {
"value": 7,
"unit": "DAYS"
},
"recipients": [
{
"name": "Jane Smith",
"email": "user@example.com"
}
],
"sections": [
{
"name": "cover"
}
],
"uuid": "ed0f66dd-1a0a-4e87-919d-945b08bc230d",
"template_uuid": "9fe01285-87cc-405b-9f2f-02cc1316bb63",
"branding": {
"uuid": "1ed3eaa4-b1d6-4b9f-96e5-9054c3cdaafd",
"company_name": "My Agency",
"brand_color": "#FF0000",
"logo_url": "https://storage.googleapis.com/sites_reports_template_preview_and_logo_images_bucket/logo.png",
"image_preview_url": "https://storage.googleapis.com/sites_reports_template_preview_and_logo_images_bucket/preview.png"
}
}
]
}

Bad Request

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid request.",
"errors": [
{
"resource": "Resource",
"field": "field_name",
"type": "invalid_value",
"code": "invalid",
"message": "The value is invalid."
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Service unavailable